Bug 852539 - [abrt] xchat-2.8.8-13.fc17: gtk_xtext_search: Process /usr/bin/xchat was killed by signal 11 (SIGSEGV)
[abrt] xchat-2.8.8-13.fc17: gtk_xtext_search: Process /usr/bin/xchat was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Aillon (sabbatical, not receiving bugmail)
Fedora Extras Quality Assurance
abrt_hash:2aa050c3fcf5f8a1ed96b1c1c24...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 16:41 EDT by Irvine
Modified: 2013-07-31 18:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:04:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.95 KB, text/plain)
2012-08-28 16:41 EDT, Irvine
no flags Details
File: maps (28.55 KB, text/plain)
2012-08-28 16:41 EDT, Irvine
no flags Details
File: dso_list (9.61 KB, text/plain)
2012-08-28 16:41 EDT, Irvine
no flags Details

  None (edit)
Description Irvine 2012-08-28 16:41:35 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        xchat
comment:        I noticed my nick was mentioned in a channel, so I did a CTRL + F to search. First forward and then clicked backwards, because it mustve been fairly recent. XChat crashed as it reached the top of the search again and was supposed to start from the bottom.
crash_function: gtk_xtext_search
executable:     /usr/bin/xchat
kernel:         3.5.2-3.fc17.i686
pid:            1868
pwd:            /home/irvine
remote_result:  NOTFOUND
time:           Tue 28 Aug 2012 22:47:26 EEST
uid:            1000
username:       irvine

backtrace:      Text file, 30664 bytes
dso_list:       Text file, 9845 bytes
maps:           Text file, 29238 bytes

build_ids:
:0a1a8bf5237a71d763d23520783335c8fe6c31dd
:a73489afe38a55b4b2b5274b342f5cb208711e3b
:8a0947123a6a7a075ab8e751f99ebde0f90bd3ed
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:c8c155acc515416efd9d0e407ec2667e30f58083
:35b89ab09e065e4da8f417312ca2f1105efc0a01
:ee9727c5824a320cfe5ad43ad0d1d05d4a953c06
:9168959d688c85ac3bcf9ed97b1dc761423c0b5c
:fad91ac353e3532099b38d4dffada3e91cf97fa3
:047d9b9e8c806072a73c78dd57897edb954c894f
:073a6e8be3691c9090d7e8063df1b719658a25a2
:e9363a6b468d459c7e4cb0d9757079106b3a882c
:c14b6f89069a5c97a88ee6a7a4d848125d836dfc
:d507527d331a72cc4c49ba1ded9e38844281b0e7
:3a29892c30642f5d7f11403d47eb309d2c938d9b
:0db1085b6f5f26681999bf8762e7374bb8179395
:d44eca373263d7abb445ddd5bad3dafbccd8cfed
:70536c11fa6b5b81514d06ae97bc967f00e1ab44
:22c6374e0768544070dcf42007ece11c3fa202b1
:7e9d9994489152b4b37aa5bee934e9f2c8309a54
:a052236088d0e128748dd47a336e683e8576e79d
:7014cdbcdb406427dcce3b18acd8d833deeaf107
:a80295c914b60820f63621a6cd6bb1bda69a9ade
:8696f82b194fbbc4b0a2182b3741abeffb214d38
:18d9e8654ccaeb88c7d4f555cc6113f602d909b3
:0e0c3084122e549f7ff0a3b4982e9316960d6c84
:9557d9eef63fe6e5c4d591ceb0191ca3fc706b4a
:4723ea68ac0f3366ffaefee6b60b82b1aa2ea5e4
:757d0ed5f496fc377d8558caf8987cefa4679f96
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:4937b91cce65df3c4281c4b6b8fc6af15cea1694
:b12f9fd4b8c4cff121e6889553066310e3641400
:99912e7d86a35a6db645f4f4ed689312de502a96
:96839607fd27e8e1d2fcdccb0c39d0efd866bad3
:856e3403b445a91ac13e80e7f0f8aece7eeda11f
:2db83a4c3dc4ba607b77e73639ac847081193f8c
:0d06d9faf74d31062e6746a3cc387d363bfa2de4
:0b819ed1b9dae71a48c4472b26cb99f565163722
:9b2a0c28a8c036a88fb1a64bef940416db55c9dc
:5b5557b5b0427930b220a00961393e29809c42f0
:c3cd9ee2ac81425364166dea0990eb5856ab68ac
:acccee84fefeebf82dea74d95ce0369573298fe3
:b23f7b89bf3bebd443fa7cfdfa98b6e00c0f8d33
:9aea670864d2a34a222fd110376f7946b702de7c
:950367732ade0a9016e6a53fb58351f589f80ab0
:4cb2e4bc8c5ae850550f2b0269a8927775a6a0ea
:c48bdbb2542d5d7ce5b081f57915ca6164dd70b5
:bb21322626c08eadcaed3b7d58d261951193b7d7
:702964f64f5758b4dd279b04db2a8e47eece7084
:480227a7bca28f7b6f8a785f94d35274f692e9d0
:78f316faf2471e25eb92a5d0f63cd31cde242afb
:75dd838611972f941eddfbc872c11bb0e35fb8c2
:1d6d247cb1c1dc86b34ab960d58c82d7cce35e15
:ee161496c6b7e6e5497474af747561c28d484968
:4917bcde22f3be7892a0289b37cf7dfc987c8474
:346c7f8a791cd1b7be07bfff6f849d658d506a17
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:7346768546afa098c2fe7ae4f7ba0f3a792efb36
:cdf4a22ae78a77d387cfbba3d667dba692429114
:25db3aa1d5ba511ce1f2615c8b5995285af564b1
:c7112059d672dfb1b17ed4be88fa89f30b547841
:449aa83923382612c4b054e26f3de7a9f6f65192
:019e42ad205179335b27f2a79a873fda88ed21a3
:3315dc1f02dea0ab28a3f5f08ce3f07c9e156291
:cc03ec55c94e26832d473d4fcfbccbbb3d5696c3
:db6c0f5e6d5c4c0b791a6cccb49ea2ff3a1d98f0
:08c167fda329d58883b0e45116e24480f2f9f762
:c25f4a34816c8918d5cce3f8b7a851948c6db023
:7f3c4b2fc7f49a8e50f936b1435bfcf785b29191
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721
:098d291982054b063b69f9a53ee4fb7616b16b20
:57d6de5ff5536ed125c804f036da93c46399c6e4
:d553043b9c935add380362fc92404746656a54a8
:38cca83f1479b6c765d41139cb7e4a3dfe659111
:068cd83a1359ebba8cf9eed9786a4c95c0a6092c
:e0a36198bfd6a9fe5b449ab5dc7704936d83ea5c
:6827db64bf037f6de97ac9f37d50f32f343930a4
:848a04e2a6ce321422123dd4369d8fff2214d349
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:7a1576593c9a13323f6d2a0939b7fe551cce5a3f
:86ec90cfe6e3894a12f943a5e80e4ba8c2d83875
:8d3308331c237b31f5e500d73e249edd53676aec
:9dcd5b2057ae49c2e72abaf05f9271291e36a8d2
:55a90ab1cd5894aeab141256be0e82b6fdb9ac8a
:327661a5f401b69a985e63c374da3357fb7bd155
:c732867aa1c714d3919ece0c874c6f044380e85d
:afd210efd29a1a41eec4bdffd056e4afaf8ec232
:bc998134806c187ae5af978d4d85c7e7d281bf3f
:2c76cb4883f6704c6f0c53967d2a9b4ad383fb1f
:3670523b476e491454ac140bc99524fe2e341b02
:28f2f286ac34caaf3998a75dfccf1f74e309eaa3
:5531b5e0176d5ff2b88ade6aa53115ed1cb53418
:d4648a6d0b3baa7a362f083fd15285686b1503f3

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/irvine/1

core_backtrace:
:0d06d9faf74d31062e6746a3cc387d363bfa2de4 0x45968 - [exe] -
:0d06d9faf74d31062e6746a3cc387d363bfa2de4 0x32d15 - [exe] -
:c732867aa1c714d3919ece0c874c6f044380e85d 0xebbf g_cclosure_marshal_VOID__VOIDv libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0xd042 - libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x26496 g_signal_emit_valist libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x26e74 g_signal_emit libgobject-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x7ba3a gtk_button_clicked libgtk-x11-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x7d0d8 - libgtk-x11-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0xeb4f g_cclosure_marshal_VOID__VOID libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0xbbbe - libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x1e3c3 - libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x26cf1 g_signal_emit_valist libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x26e74 g_signal_emit libgobject-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x7b94a gtk_button_released libgtk-x11-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x7b9a5 - libgtk-x11-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x150fd2 - libgtk-x11-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0xbbbe - libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x1e6e8 - libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x26a5e g_signal_emit_valist libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x26e74 g_signal_emit libgobject-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x2a6e93 - libgtk-x11-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x14ea64 gtk_propagate_event libgtk-x11-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x14ee10 gtk_main_do_event libgtk-x11-2.0.so.0 -
:a80295c914b60820f63621a6cd6bb1bda69a9ade 0x5ec79 - libgdk-x11-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x46fbb g_main_context_dispatch libglib-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x47360 - libglib-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x477c3 g_main_loop_run libglib-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x14db30 gtk_main libgtk-x11-2.0.so.0 -
:0d06d9faf74d31062e6746a3cc387d363bfa2de4 0x1bca9 - [exe] -
:0d06d9faf74d31062e6746a3cc387d363bfa2de4 0x10e55 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=shaquilla
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=IBus
:USER=irvine
:USERNAME=irvine
:MAIL=/var/spool/mail/irvine
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/irvine/.local/bin:/home/irvine/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/irvine
:XMODIFIERS=@im=ibus
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/irvine
:SHLVL=1
:LOGNAME=irvine
:QTLIB=/usr/lib/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-NYXo4pGOo1,guid=28332ab8037c588a43fbcf8400000014
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/irvine
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-irvine-CgamIE/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/914,unix/unix:/tmp/.ICE-unix/914
:GNOME_KEYRING_CONTROL=/run/user/irvine/keyring-snip
:SSH_AUTH_SOCK=/run/user/irvine/keyring-snip/ssh
:GPG_AGENT_INFO=/run/user/irvine/keyring-snip/gpg:0:1
:LC_TIME=en_IE.utf8
:LC_NUMERIC=en_IE.utf8
:LC_MONETARY=en_IE.utf8
:LC_MEASUREMENT=en_IE.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/xchat.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1868
:DESKTOP_STARTUP_ID=gnome-shell-1134-snip-xchat-1_TIME380807

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15997                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15997                15997                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/irvine/.xsession-errors
:pos:	350038
:flags:	02002
:2:/home/irvine/.xsession-errors
:pos:	350038
:flags:	02002
:3:socket:[27785]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[27790]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[26753]
:pos:	0
:flags:	02004002
:8:socket:[26756]
:pos:	0
:flags:	02004002
:9:anon_inode:inotify
:pos:	0
:flags:	02004000
:10:socket:[27793]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[27795]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:/home/irvine/.xchat2/scrollback/efnet/#elementz.txt
:pos:	73909
:flags:	0102001
:15:/home/irvine/.xchat2/scrollback/efnet/#graffiti.org.txt
:pos:	174139
:flags:	0102001
:16:socket:[26760]
:pos:	0
:flags:	04002
:17:/home/irvine/.xchat2/scrollback/efnet/#mung.txt
:pos:	14077
:flags:	0102001
:18:/home/irvine/.xchat2/scrollback/efnet/#barrybritpop.txt
:pos:	8938
:flags:	0102001
:19:/home/irvine/.xchat2/scrollback/austnet/#finland.txt
:pos:	61312
:flags:	0102001
:20:socket:[26763]
:pos:	0
:flags:	04002
:21:/home/irvine/.xchat2/scrollback/austnet/#trivialoft.txt
:pos:	156652
:flags:	0102001
:22:/home/irvine/.xchat2/scrollback/freenode/#romkitchen.txt
:pos:	88238
:flags:	0102001
:23:/home/irvine/.xchat2/scrollback/freenode/#bodhilinux.txt
:pos:	97900
:flags:	0102001
:24:socket:[26766]
:pos:	0
:flags:	04002
:25:/home/irvine/.xchat2/scrollback/austnet/#gamblersden.txt
:pos:	116230
:flags:	0102001
:26:/home/irvine/.xchat2/scrollback/austnet/#den.txt
:pos:	69243
:flags:	0102001

var_log_messages:
:Aug 26 15:35:37 shaquilla abrt[25654]: Saved core dump of pid 25313 (/usr/bin/xchat) to /var/spool/abrt/ccpp-2012-08-26-15:35:36-25313 (11157504 bytes)
:Aug 26 16:18:26 shaquilla abrt[27862]: Saved core dump of pid 27556 (/usr/bin/xchat) to /var/spool/abrt/ccpp-2012-08-26-16:18:25-27556 (11354112 bytes)
:Aug 26 20:21:20 shaquilla abrt[2254]: Saved core dump of pid 2006 (/usr/bin/xchat) to /var/spool/abrt/ccpp-2012-08-26-20:21:20-2006 (47099904 bytes)
:Aug 28 22:47:26 shaquilla kernel: [34993.254747] xchat[1868]: segfault at 1c ip 08089968 sp bfbdecd0 error 4 in xchat[8044000+a3000]
:Aug 28 22:47:26 shaquilla abrt[8085]: Saved core dump of pid 1868 (/usr/bin/xchat) to /var/spool/abrt/ccpp-2012-08-28-22:47:26-1868 (31707136 bytes)
Comment 1 Irvine 2012-08-28 16:41:40 EDT
Created attachment 607691 [details]
File: backtrace
Comment 2 Irvine 2012-08-28 16:41:43 EDT
Created attachment 607692 [details]
File: maps
Comment 3 Irvine 2012-08-28 16:41:45 EDT
Created attachment 607693 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 17:11:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 18:05:01 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.